Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2859 - RH6.0 default setup comments
Summary: RH6.0 default setup comments
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-16 22:26 UTC by weejock-rhbug
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-18 20:41:51 UTC


Attachments (Terms of Use)

Description weejock-rhbug 1999-05-16 22:26:55 UTC
The RH6.0 default setup looks OK, but there are a couple of
changes I'd like:

1) Services enabled by default which probably shouldn't be
dhcpd, nfs server.

Given that neither of these wil be any use without manual
configuration, I reckon that they should not be on by
default (especially given the number of machines rooted
through the mountd hole).


2) inetd services I'd like turned off:
linuxconf (perhaps controversial)
rlogind (old-fashioned - people should be using ssh or
telnet, IMG)


3) Default user "profile":
I always add:
[ -d /usr/local/bin/ ] && PATH="$PATH:/usr/local/bin"
to /etc/profile (I'd do an equivalent to /etc/cshrc if I
cared about csh users :)

Similarly, I think that the:
PATH=$PATH:$HOME/bin
on the default .bash_profile should be changed to:
[ -d "$HOME/bin/" ] && PATH="$PATH:$HOME/bin"


4) Overuse of "nobody"
It's good to see that xfs and gdm get their own users, but
I'd like to see at least apache and squid get their own
users, too.  It's not as if most RH machines are pushing the
16-bit uid_t :)


5) gpm too slow
On my PS/2 mouse, the default GPM sensitivity is too low.  I
add:
GPMOPTS="-r 30"
to /etc/sysconf/mouse, and add $GPMOPTS to the two daemon
lines in /etc/rc.d/init.d/gpm.

Comment 1 David Lawrence 1999-05-18 20:41:59 UTC
Thank you for th suggestions. Services that are run upon reboot can be
manually selected during the install such as nfs, dhcp, etc. Simply do
not check what you do not want. If it is an upgrade it tries to
maintain the same services that you currently have running. As always
there will be a need to edit the inetd.conf files by users to allow or
disallow vertain things. While we can try to disable more by default I
feel it is better addressed by having better documentation and
education for the end-user and allow them to make their choices on
what to run or not run. You have good points about the PATH stuff and
the nobody users being used that will be passed on to a developer for
further review.


Note You need to log in before you can comment on or make changes to this bug.